Qt Reference Documentation

# Obsolete Members for QInputDialog

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QInputDialog class reference

## Static Public Members

int | getInteger ( QWidget * parent, const QString & title, const QString & label, int value = 0, int min = -2147483647, int max = 2147483647, int step = 1, bool * ok = 0, Qt::WindowFlags flags = 0 )`(obsolete)`

## Member Function Documentation

### int QInputDialog::getInteger ( QWidget * parent, const QString & title, const QString & label, int value = 0, int min = -2147483647, int max = 2147483647, int step = 1, bool * ok = 0, Qt::WindowFlags flags = 0 )`[static]`

Use getInt() instead.